<?php 
require_once("header.php");
require_once("session_check.php");


//CODE FOR DELETE RECORD
if(isset($_GET['action']) && $_GET['action'] == "delete")
{
	mysqli_query($connection,"DELETE FROM `pr_subscription` WHERE `pID` = '".$_GET['pID']."'");
	
	$_SESSION['del_succ_msg'] = 'Record deleted successfully.';
	header("location: subscription_list.php");
	exit;
}
?>

<?php require_once("left_panel.php");?>
<div class="content">
	<div class="workplace">
		<?php if(isset($_SESSION['add_succ_msg'])) { ?>
			<div class="alert alert-success">                
			<b><?php echo $_SESSION['add_succ_msg'];?></b>
			</div> 
		<?php
		unset($_SESSION['add_succ_msg']);
		}
		?>
		
		<?php if(isset($_SESSION['edit_succ_msg'])) { ?>
			<div class="alert alert-success">                
			<b><?php echo $_SESSION['edit_succ_msg'];?></b>
			</div> 
		<?php
		unset($_SESSION['edit_succ_msg']);
		}
		?>
		
		<?php if(isset($_SESSION['del_succ_msg'])) { ?>
			<div class="alert alert-success">                
			<b><?php echo $_SESSION['del_succ_msg'];?></b>
			</div> 
		<?php
		unset($_SESSION['del_succ_msg']);
		}
		?>
		
		<?php if(isset($_SESSION['change_succ_msg'])) { ?>
			<div class="alert alert-success">                
			<b><?php echo $_SESSION['change_succ_msg'];?></b>
			</div> 
		<?php
		unset($_SESSION['change_succ_msg']);
		}
		?>
		<div class="row-fluid">
			<div class="span12">                    
				<div class="head clearfix">
					<div class="isw-grid"></div>
					<h1>Subscription Collections List</h1>                               
				</div>
				<div class="block-fluid table-sorting clearfix">
					<table cellpadding="0" cellspacing="0" width="100%" class="table" id="tSortable">
						<thead>
							<tr>
								<th width="10%">Serial No.</th>
								<th width="30%">Name & Phone No.</th>
								<th width="15%">Amount</th>
								<th width="25%">Month & Year</th>
								<th width="20%">Action</th>
							</tr>
						</thead>
						<tbody>
						<?php
						$category_counter = 1;
						$sql_record = "SELECT * FROM `pr_subscription` WHERE `paymentStatus` = 'SUCCESS' ORDER BY `pID` DESC";
						$exe_record = mysqli_query($connection,$sql_record);
						$num_record = mysqli_num_rows($exe_record);
						if($num_record>0)
						{
							while($fetch_record = mysqli_fetch_array($exe_record))
							{
								$getUser = mysqli_fetch_array(mysqli_query($connection,"SELECT * FROM `usertable` WHERE `id` = '".$fetch_record['mem_id']."'"));
								$name = stripslashes($getUser['name']);
								$phone = stripslashes($getUser['phone']);
								$amount = $fetch_record['toValue'];
								$month = stripslashes($fetch_record['month']);
								$year = stripslashes($fetch_record['year']);
							?>
							<tr>
								<td><?php echo $category_counter;?></td>
								<td><b>Name : </b><?php echo $name;?><br><b>Phone No : </b><?php echo $phone;?></td>
								<td>Rs. <?php echo $amount;?></td>
								<td><b>Month : </b><?php echo $month;?><br><b>Year : </b><?php echo $year;?></td>
								<td><a href="subscription_list.php?pID=<?php echo $fetch_record['pID']?>&action=delete" title="Delete" onclick="return confirm('Are you sure you want to delete this record?');" style="float:left; display:block; margin:0 5px 0 0;"><ul class="the-icons clearfix"><i class="isb-delete"></i></ul></a></td>
							</tr>
							<?php
							$category_counter++;
							}
						}
						else
						{
						?>
						<tr>
							<td><font color="#FF0000">No record found</font></td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<?php
						}
						?>
						</tbody>
					</table>
				</div>
			</div>                                
		</div>
	</div>
</div>

<?php require_once("footer.php"); ?>